summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorjwhendy2019-09-15 15:00:51 -0500
committerjwhendy2019-09-17 20:46:39 -0500
commite408b4fb7104ced15e55d3878a1b3645771a63b8 (patch)
treec9da8ac2a0a7b59a237098480d7801c62d487cb3
parent14ddee79e3a6d1913ff6806d28bb5bae90538127 (diff)
downloadaur-e408b4fb7104ced15e55d3878a1b3645771a63b8.tar.gz
updated _dir, sources, and shasums; added eigenpy patch per ros-planning/moveit/pull/1550
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD18
-rw-r--r--eigenpy.patch29
3 files changed, 45 insertions, 10 deletions
diff --git a/.SRCINFO b/.SRCINFO
index fc364655c4b..a6820987b4c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = ros-melodic-moveit-ros-planning-interface
pkgdesc = ROS - Components of MoveIt that offer simpler interfaces to planning and execution.
- pkgver = 0.10.8
- pkgrel = 1
+ pkgver = 1.0.2
+ pkgrel = 0
url = https://moveit.ros.org
arch = any
license = BSD
@@ -34,8 +34,8 @@ pkgbase = ros-melodic-moveit-ros-planning-interface
depends = ros-melodic-moveit-ros-manipulation
depends = ros-melodic-rosconsole
depends = python
- source = ros-melodic-moveit-ros-planning-interface-0.10.8-0.tar.gz::https://github.com/ros-gbp/moveit-release/archive/release/melodic/moveit_ros_planning_interface/0.10.8-0.tar.gz
- sha256sums = 748d5e2ca554190c84b0e43be8aa44c9b76c5e2a77e9d87eac5619147604a174
+ source = ros-melodic-moveit-ros-planning-interface-1.0.2.tar.gz::https://github.com/ros-planning/moveit/archive/1.0.2.tar.gz
+ sha256sums = b8194308c57dbe34bbb729cfccb30d1113af3a54a90a2cfb49482142d1044ea4
pkgname = ros-melodic-moveit-ros-planning-interface
diff --git a/PKGBUILD b/PKGBUILD
index a8b85321dcb..721f2f3ff98 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,8 +3,7 @@ pkgdesc="ROS - Components of MoveIt that offer simpler interfaces to planning an
url='https://moveit.ros.org'
pkgname='ros-melodic-moveit-ros-planning-interface'
-pkgver='0.10.8'
-_pkgver_patch=0
+pkgver='1.0.2'
arch=('any')
pkgrel=1
license=('BSD')
@@ -39,7 +38,8 @@ ros_depends=(ros-melodic-tf-conversions
ros-melodic-moveit-ros-manipulation
ros-melodic-rosconsole)
depends=(${ros_depends[@]}
- python)
+ python
+ eigenpy)
# Git version (e.g. for debugging)
# _tag=release/melodic/moveit_ros_planning_interface/${pkgver}-${_pkgver_patch}
@@ -48,17 +48,23 @@ depends=(${ros_depends[@]}
# sha256sums=('6cbf0b256af768dcd336ff60b142a2f1d363c79879c30bbe5bc0952c0375b2e8')
# Tarball version (faster download)
-_dir="moveit-release-release-melodic-moveit_ros_planning_interface-${pkgver}-${_pkgver_patch}"
-source=("${pkgname}-${pkgver}-${_pkgver_patch}.tar.gz"::"https://github.com/ros-gbp/moveit-release/archive/release/melodic/moveit_ros_planning_interface/${pkgver}-${_pkgver_patch}.tar.gz")
-sha256sums=('748d5e2ca554190c84b0e43be8aa44c9b76c5e2a77e9d87eac5619147604a174')
+_dir="moveit-${pkgver}/moveit_ros/planning_interface"
+source=("${pkgname}-${pkgver}.tar.gz"::"https://github.com/ros-planning/moveit/archive/${pkgver}.tar.gz"
+ "eigenpy.patch")
+sha256sums=('b8194308c57dbe34bbb729cfccb30d1113af3a54a90a2cfb49482142d1044ea4'
+ '797e2415ec9c66b2f7137bb6c0037e4f0ef5520baba7eff3af3eb04119e42b40')
prepare() {
+ cd ${srcdir}/${_dir}
+ patch -uN CMakeLists.txt ${srcdir}/eigenpy.patch || return 1
+
cd ${srcdir}
find . \( -iname *.cpp -o -iname *.h \) \
-exec sed -r -i "s/[^_]logError/CONSOLE_BRIDGE_logError/" {} \; \
-exec sed -r -i "s/[^_]logWarn/CONSOLE_BRIDGE_logWarn/" {} \; \
-exec sed -r -i "s/[^_]logDebug/CONSOLE_BRIDGE_logDebug/" {} \; \
-exec sed -r -i "s/[^_]logInform/CONSOLE_BRIDGE_logInform/" {} \;
+
}
build() {
diff --git a/eigenpy.patch b/eigenpy.patch
new file mode 100644
index 00000000000..56bcc55b7cf
--- /dev/null
+++ b/eigenpy.patch
@@ -0,0 +1,29 @@
+diff --git a/moveit_ros/planning_interface/CMakeLists.txt b/moveit_ros/planning_interface/CMakeLists.txt
+index d1b5594b1..a5e130843 100644
+--- a/moveit_ros/planning_interface/CMakeLists.txt
++++ b/moveit_ros/planning_interface/CMakeLists.txt
+@@ -19,13 +19,15 @@ find_package(catkin REQUIRED COMPONENTS
+ tf2_eigen
+ tf2_geometry_msgs
+ tf2_ros
+- eigenpy
+ roscpp
+ actionlib
+ rospy
+ rosconsole
+ )
+
++find_package(PkgConfig REQUIRED)
++pkg_check_modules(eigenpy eigenpy REQUIRED)
++
+ find_package(PythonInterp REQUIRED)
+ find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)
+
+@@ -77,6 +79,7 @@ catkin_package(
+
+ include_directories(${THIS_PACKAGE_INCLUDE_DIRS}
+ ${Boost_INCLUDE_DIRS}
++ ${eigenpy_INCLUDE_DIRS}
+ ${catkin_INCLUDE_DIRS})
+
+ include_directories(SYSTEM